import _isStrictComparable from './_isStrictComparable.js';
import keys_1 from './keys.js';
var isStrictComparable = _isStrictComparable,
    keys = keys_1;
/**
 * Gets the property names, values, and compare flags of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the match data of `object`.
 */

function getMatchData(object) {
  var result = keys(object),
      length = result.length;

  while (length--) {
    var key = result[length],
        value = object[key];
    result[length] = [key, value, isStrictComparable(value)];
  }

  return result;
}

var _getMatchData = getMatchData;
export { _getMatchData as default };
//# sourceMappingURL=_getMatchData.js.map
