import _LazyWrapper from './_LazyWrapper.js';
import _getData from './_getData.js';
import _getFuncName from './_getFuncName.js';
import wrapperLodash from './wrapperLodash.js';
var LazyWrapper = _LazyWrapper,
    getData = _getData,
    getFuncName = _getFuncName,
    lodash = wrapperLodash;
/**
 * Checks if `func` has a lazy counterpart.
 *
 * @private
 * @param {Function} func The function to check.
 * @returns {boolean} Returns `true` if `func` has a lazy counterpart,
 *  else `false`.
 */

function isLaziable(func) {
  var funcName = getFuncName(func),
      other = lodash[funcName];

  if (typeof other != 'function' || !(funcName in LazyWrapper.prototype)) {
    return false;
  }

  if (func === other) {
    return true;
  }

  var data = getData(other);
  return !!data && func === data[0];
}

var _isLaziable = isLaziable;
export { _isLaziable as default };
//# sourceMappingURL=_isLaziable.js.map
