import { __assign } from './../../external/tslib/tslib.es6.js';
import React, { useMemo, useState, useCallback } from 'react';
import { parseMetadata } from '@highlight-ui/utils-commons';
import { DragAndDropList } from '@highlight-ui/drag-and-drop';
import AccordionSectionItem from './AccordionSectionItem.js';
var defaultInitiallyOpen = [];
var defaultSelectedSections = [];

var DraggableAccordionWithRef = function AccordionMultiple(_a, ref) {
  var className = _a.className,
      _b = _a.initiallyOpen,
      initiallyOpen = _b === void 0 ? defaultInitiallyOpen : _b,
      _c = _a.multiple,
      multiple = _c === void 0 ? false : _c,
      metadata = _a.metadata,
      onSelectedSectionsChange = _a.onSelectedSectionsChange,
      sections = _a.sections,
      _d = _a.selectable,
      selectable = _d === void 0 ? false : _d,
      _e = _a.selectedSections,
      selectedSections = _e === void 0 ? defaultSelectedSections : _e,
      dragProps = _a.dragProps,
      onExpansionChange = _a.onExpansionChange;
  var openKeys = useMemo(function () {
    var firstKey = initiallyOpen.length ? [initiallyOpen[0].key] : [];
    return multiple ? initiallyOpen.map(function (_a) {
      var key = _a.key;
      return key;
    }) : firstKey;
  }, [initiallyOpen, multiple]);

  var _f = useState(openKeys),
      openSections = _f[0],
      setOpenSections = _f[1];

  var expansionChangeHandler = useCallback(function (item, index) {
    return function (isExpanded) {
      if (onExpansionChange) {
        onExpansionChange(item, isExpanded, index);
      }

      if (multiple === false) {
        setOpenSections(openSections.includes(item.key) ? [] : [item.key]);
      }
    };
  }, [multiple, onExpansionChange, openSections]);
  return /*#__PURE__*/React.createElement("div", __assign({
    ref: ref,
    className: className
  }, parseMetadata(metadata)), /*#__PURE__*/React.createElement(DragAndDropList, {
    list: sections,
    dragProps: dragProps,
    renderItem: function (_a) {
      var section = _a.item,
          index = _a.index,
          dragRef = _a.dragRef;
      return /*#__PURE__*/React.createElement(AccordionSectionItem, {
        dragRef: dragRef,
        section: section,
        selectable: selectable,
        initiallyExpanded: openSections.includes(section.key),
        onExpansionChange: expansionChangeHandler(section, index),
        onSelectedSectionsChange: onSelectedSectionsChange,
        selectedSections: selectedSections
      });
    }
  }));
};

DraggableAccordionWithRef.displayName = 'DraggableAccordion';
var DraggableAccordion = /*#__PURE__*/React.forwardRef(DraggableAccordionWithRef);
export { DraggableAccordion as default };
//# sourceMappingURL=DraggableAccordion.js.map
