import { __assign } from './../../external/tslib/tslib.es6.js';
import React, { useMemo, useState, useCallback } from 'react';
import { parseMetadata } from '@highlight-ui/utils-commons';
import AccordionSectionItem from './AccordionSectionItem.js';
import styles from './StaticAccordion.module.scss.js';
var defaultInitiallyOpen = [];
var defaultSelectedSections = [];

var StaticAccordionWithRef = function AccordionMultiple(_a, ref) {
  var className = _a.className,
      _b = _a.initiallyOpen,
      initiallyOpen = _b === void 0 ? defaultInitiallyOpen : _b,
      _c = _a.multiple,
      multiple = _c === void 0 ? false : _c,
      metadata = _a.metadata,
      onSelectedSectionsChange = _a.onSelectedSectionsChange,
      sections = _a.sections,
      _d = _a.selectable,
      selectable = _d === void 0 ? false : _d,
      _e = _a.selectedSections,
      selectedSections = _e === void 0 ? defaultSelectedSections : _e,
      onExpansionChange = _a.onExpansionChange;
  var openKeys = useMemo(function () {
    var firstKey = initiallyOpen.length ? [initiallyOpen[0].key] : [];
    return multiple ? initiallyOpen.map(function (_a) {
      var key = _a.key;
      return key;
    }) : firstKey;
  }, [initiallyOpen, multiple]);

  var _f = useState(openKeys),
      openSections = _f[0],
      setOpenSections = _f[1];

  var expansionChangeHandler = useCallback(function (item, index) {
    return function (isExpanded) {
      if (onExpansionChange) {
        onExpansionChange(item, isExpanded, index);
      }

      if (multiple === false) {
        setOpenSections(openSections.includes(item.key) ? [] : [item.key]);
      }
    };
  }, [multiple, onExpansionChange, openSections]);
  return /*#__PURE__*/React.createElement("div", __assign({
    ref: ref,
    className: className
  }, parseMetadata(metadata)), /*#__PURE__*/React.createElement("ul", {
    className: styles.list
  }, sections.map(function (section, index) {
    return /*#__PURE__*/React.createElement("li", {
      key: section.key
    }, /*#__PURE__*/React.createElement(AccordionSectionItem, {
      section: section,
      selectable: selectable,
      initiallyExpanded: openSections.includes(section.key),
      onExpansionChange: expansionChangeHandler(section, index),
      onSelectedSectionsChange: onSelectedSectionsChange,
      selectedSections: selectedSections
    }));
  })));
};

StaticAccordionWithRef.displayName = 'StaticAccordion';
var StaticAccordion = /*#__PURE__*/React.forwardRef(StaticAccordionWithRef);
export { StaticAccordion as default };
//# sourceMappingURL=StaticAccordion.js.map
