import { useState, useRef, useEffect } from 'react';

function useDynamicHeight(observeElement) {
  var _a = useState(0),
      height = _a[0],
      setHeight = _a[1];

  var observer = useRef();
  useEffect(function () {
    setHeight(observeElement ? observeElement.scrollHeight : 0);
    observer.current = new MutationObserver(function () {
      setHeight(observeElement ? observeElement.scrollHeight : 0);
    });

    if (observeElement) {
      observer.current.observe(observeElement, {
        childList: true,
        subtree: true
      });
    }

    return function () {
      if (observer.current) {
        observer.current.disconnect();
        observer.current = undefined;
      }
    };
  }, [observeElement]);
  return height;
}

export { useDynamicHeight as default };
//# sourceMappingURL=useDynamicHeight.js.map
